Inspect

List workspaces

List available non-hidden repositories.

Base URL
GET
/api/public/v1/workspaces

List available non-hidden repositories.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Query Parameters

type?string

Filter results by workspace entry type.

Value in"workspace""app"

Response Body

List of workspaces

application/json
  1. response
data*array<>
meta*
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/workspaces'
Example Response
{  "data": [    {      "type": "workspace",      "id": "string",      "name": "string",      "description": "string",      "organization": "string",      "remote": "github",      "githubHost": "github",      "baseBranch": "string",      "autoMatchEnabled": true    }  ],  "meta": {    "suggested": [      "string"    ]  }}